QT_API is unconditionally set to pyqt

25/10/2017 07:04 PM - Riviere, Denis

Status: Closed Start date: 25/10/2017

Priority: Normal Due date:  

Assignee: Riviere, Denis % Done: 100%

Category: brainvisa-cmake Estimated time: 0:00 hour

Target version: brainvisa-4.6 Spent time: 0:00 hour

Resolution:    

Description

We now also support Qt5/PyQt5, so this env variable is not always correct. Its value should depend on the config of the build tree,

and still be available in the installed version.

Maybe bv_env should be able to read an additional config file with some install-specific variables.

Or build bv_env with the correct value builtin, but this is not easy since bv_env is built before configuring other projects, at a time we

don't know yet if we will be using Qt4 or Qt5. Or maybe use the DESIRED_QT_VERSION variable from cmake ?

Associated revisions

Revision 79611 - 26/10/2017 10:38 AM - Riviere, Denis

Better setup of QT_ENV variable in bv_env: if DESIRTED_QT_VERSION is specified in bv_maker.cfg or is in the main CMakeCache.txt, then set it

up to bv-cmake config, and pass it to the build of bv_env. In this case, bv_env will have the correct value of QT_API hard-coded in its build.

Fixes: #17519
History

#1 - 26/10/2017 09:18 AM - Souedet, Nicolas

I think it should be possible to add a cmake variable given through bv_maker (and its configuration file) that can be passed both to the

brainvisa-cmake project configuration and also to other projects. This allow to build bv_env with the correct environment variable builtin. The easiest

way is to use the DESIRED_QT_VERSION variable from cmake.

#2 - 26/10/2017 10:01 AM - Riviere, Denis

- Status changed from New to In progress

- Assignee set to Riviere, Denis

#3 - 26/10/2017 10:38 AM - Riviere, Denis

- Status changed from In progress to Closed

- % Done changed from 0 to 100

Appliqué par commit r79611.
